org.optaplanner.benchmark.config.blueprint

## Enum SolverBenchmarkBluePrintType

- java.lang.Object
- - java.lang.Enum<SolverBenchmarkBluePrintType>
  - - org.optaplanner.benchmark.config.blueprint.SolverBenchmarkBluePrintType

- All Implemented Interfaces:
    Serializable, Comparable<SolverBenchmarkBluePrintType>

      public enum SolverBenchmarkBluePrintType
      extends Enum<SolverBenchmarkBluePrintType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONSTRUCTION_HEURISTIC_WITH_AND_WITHOUT_LOCAL_SEARCH`
    `EVERY_CONSTRUCTION_HEURISTIC_TYPE` Run every `ConstructionHeuristicType`.
    `EVERY_CONSTRUCTION_HEURISTIC_TYPE_WITH_EVERY_LOCAL_SEARCH_TYPE` Run every `ConstructionHeuristicType` with every `LocalSearchType`.
    `EVERY_LOCAL_SEARCH_TYPE` Run the default `ConstructionHeuristicType` with every `LocalSearchType`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SolverBenchmarkConfig` | `buildSolverBenchmarkConfig(ConstructionHeuristicType constructionHeuristicType, boolean localSearchEnabled, LocalSearchType localSearchType)`
    `protected List<SolverBenchmarkConfig>` | `buildSolverBenchmarkConfigList()`
    `static SolverBenchmarkBluePrintType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SolverBenchmarkBluePrintType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONSTRUCTION_HEURISTIC_WITH_AND_WITHOUT_LOCAL_SEARCH

          public static final SolverBenchmarkBluePrintType CONSTRUCTION_HEURISTIC_WITH_AND_WITHOUT_LOCAL_SEARCH

    - #### EVERY_CONSTRUCTION_HEURISTIC_TYPE

          public static final SolverBenchmarkBluePrintType EVERY_CONSTRUCTION_HEURISTIC_TYPE

      Run every `ConstructionHeuristicType`.

    - #### EVERY_LOCAL_SEARCH_TYPE

          public static final SolverBenchmarkBluePrintType EVERY_LOCAL_SEARCH_TYPE

      Run the default `ConstructionHeuristicType` with every `LocalSearchType`.

    - #### EVERY_CONSTRUCTION_HEURISTIC_TYPE_WITH_EVERY_LOCAL_SEARCH_TYPE

          public static final SolverBenchmarkBluePrintType EVERY_CONSTRUCTION_HEURISTIC_TYPE_WITH_EVERY_LOCAL_SEARCH_TYPE

      Run every `ConstructionHeuristicType` with every `LocalSearchType`.

  - ### Method Detail

    - #### values

          public static SolverBenchmarkBluePrintType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SolverBenchmarkBluePrintType c : SolverBenchmarkBluePrintType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SolverBenchmarkBluePrintType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### buildSolverBenchmarkConfigList

          protected List<SolverBenchmarkConfig> buildSolverBenchmarkConfigList()

    - #### buildSolverBenchmarkConfig

          protected SolverBenchmarkConfig buildSolverBenchmarkConfig(ConstructionHeuristicType constructionHeuristicType,
                                                                     boolean localSearchEnabled,
                                                                     LocalSearchType localSearchType)

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.